GET Assets/ByLastModifiedDate?assetTypeId={assetTypeId}&beginDate={beginDate}&endDate={endDate}
Retrieves assets for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetTypeId |
Id of the asset type |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the assets to retrieve |
date |
None. |
| endDate |
Ending last modified date of the assets to retrieve |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
On success, a list of assets.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Asset |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AssetId": "9cd55ca1-186f-4b35-8b82-0bb1d3c944ad",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "59485d25-8de2-41ec-aadc-ac1dda065fee",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f7225ec5-f284-4cc6-9b7d-287f37cfe2cc",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "439579c3-da6f-4136-b4c4-f6c571a7766a",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"MeasurementValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "0ece910c-792e-4b50-94a5-8b1ac458c889",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"MeasurementValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "2a0b664b-911b-4f47-bab8-20695e0b4c6b",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 8"
},
{
"AssetId": "9cd55ca1-186f-4b35-8b82-0bb1d3c944ad",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "59485d25-8de2-41ec-aadc-ac1dda065fee",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f7225ec5-f284-4cc6-9b7d-287f37cfe2cc",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "439579c3-da6f-4136-b4c4-f6c571a7766a",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"MeasurementValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "0ece910c-792e-4b50-94a5-8b1ac458c889",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"MeasurementValueNeededDate": "2026-10-19T02:32:06.3963671-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "2a0b664b-911b-4f47-bab8-20695e0b4c6b",
"CreateDate": "2026-10-19T02:32:06.3963671-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-19T02:32:06.3963671-07:00",
"LastModifiedUser": "sample string 8"
}
],
"Total": 1,
"Message": "sample string 1"
}